Summary:	Performous - The All-in-One Music Game
Summary(pl.UTF-8):	Performous - wiele gier muzycznych w jednej
Name:		performous
Version:	1.3.1
Release:	5
License:	GPL v2+
Group:		Applications/Sound
#Source0Download: https://github.com/performous/performous/releases
Source0:	https://github.com/performous/performous/archive/refs/tags/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	02fd71009bc2ecece42f723aa4baca7c
Patch2:		no-Werror.patch
URL:		http://performous.org/
BuildRequires:	GLM-devel
BuildRequires:	SDL2-devel >= 2
BuildRequires:	aubio-devel >= 0.4.9
BuildRequires:	boost-devel >= 1.55
BuildRequires:	cairo-devel
BuildRequires:	cmake >= 3.15
BuildRequires:	compact_enc_det-devel
BuildRequires:	cpprestsdk-devel
# avformat swresample swscale
BuildRequires:	ffmpeg-devel
BuildRequires:	fontconfig-devel
BuildRequires:	gettext-tools
BuildRequires:	glew-devel
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	glibmm-devel >= 2.4
BuildRequires:	gmock-devel
BuildRequires:	help2man
BuildRequires:	libepoxy-devel >= 1.2
BuildRequires:	libicu-devel >= 60
BuildRequires:	libfmt-devel >= 9.0.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	librsvg-devel >= 2
BuildRequires:	libsigc++-devel
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	libxml++5-devel >= 5.0
BuildRequires:	nlohmann-json-devel >= 3.10.5
BuildRequires:	opencv-devel
BuildRequires:	pango-devel >= 1:1.12
BuildRequires:	pkgconfig
BuildRequires:	portaudio-devel
BuildRequires:	portmidi-devel
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	zlib-devel
Obsoletes:	%{name}-tools < 1.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An open-source karaoke, band and dancing game where one or more
players perform a song and the game scores their perform ances.
Supports songs in UltraStar, Frets on Fire and StepMania formats.
Microphones and instruments from SingStar, Guit ar Hero and Rock Band
as well as some dance pads are autodetected.

%description -l pl.UTF-8
Karaoke, gitara i taniec w jednej grze. Obsługuje utwory w formatach
UltraStar, Frets on Fire i StepManii. Mikrofony i kontrolery z gier
SingStar, Guitar Hero i Rock Band oraz maty do tańca są automatycznie
wykrywane.

%prep
%setup -q
%patch -P2 -p1

%build
%cmake -B build \
	-DCMAKE_INSTALL_MANDIR=%{_mandir}/man6 \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCMAKE_CXX_FLAGS_RELEASE="%{rpmcxxflags}" \
	-DCMAKE_DEBUG_FLAGS_RELEASE="%{debugcflags}" \
	-DSELF_BUILT_CED=NEVER

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_localedir}/{zh,zh_CN}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README.md docs/{Authors,instruments}.txt
%attr(755,root,root) %{_bindir}/performous
%{_datadir}/games/%{name}
%{_mandir}/man6/performous.6*
%{_desktopdir}/performous.desktop
%{_iconsdir}/hicolor/scalable/apps/performous.svg
%changelog
* Sat Mar 29 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/performous.git;a=log;h=master

* Sat Mar 29 2025 Jakub Bogusz <qboosh@pld-linux.org> e391b26
- release 5 (opencv 4.11.x)

* Fri Mar 28 2025 Jakub Bogusz <qboosh@pld-linux.org> 9346381
- use patch -P

* Sat Jan 18 2025 Jan Palus <atler@pld-linux.org> c970b31
- icu 76 rebuild

* Tue Dec 24 2024 Jan Rękorajski <baggins@pld-linux.org> cb39c3e
- boost 1.85 rebuild

* Wed Oct 02 2024 Jakub Bogusz <qboosh@pld-linux.org> 19f0bf9
- cpprestsdk for webserver support; release 2

* Mon Sep 30 2024 Jakub Bogusz <qboosh@pld-linux.org> 473ec3f
- BR: compact_enc_det-devel

* Mon Sep 30 2024 Jakub Bogusz <qboosh@pld-linux.org> 63f2605
- updated to 1.3.1

* Fri Oct 20 2023 Jan Rękorajski <baggins@pld-linux.org> 76e9df7
- disable Werror to prevent benign warning breaking build on non x86_64 archs

* Fri Oct 20 2023 Jan Rękorajski <baggins@pld-linux.org> 857d458
- up to 1.3.0

* Sun Jul 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 8c8e5a4
- release 10 (opencv 4.5.5)

* Sat Jul 01 2023 Jan Palus <atler@pld-linux.org> 720e374
- boost rebuild

* Sat Feb 18 2023 Jan Palus <atler@pld-linux.org> bf7ac5f
- boost rebuild

* Sat Jun 04 2022 Jan Palus <atler@pld-linux.org> a95e583
- boost rebuild

* Sun Jan 16 2022 Jan Palus <atler@pld-linux.org> 4a0f87c
- boost rebuild

* Tue Aug 10 2021 Jan Palus <atler@pld-linux.org> 8676b65
- boost rebuild

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 576302e
- Use correct namespace for opencv constants
- rel 4

* Fri Jul 31 2020 Jakub Bogusz <qboosh@pld-linux.org> b2fe5a3
- one more fix in boost patch; release 3 (boost 1.73)

* Fri Oct 11 2019 Adam Gołębiowski <adamg@pld-linux.org> 857e246
- release 2, rebuild against boost-1.71, fix build against pango-1.44+

* Wed May 08 2019 Jakub Bogusz <qboosh@pld-linux.org> 6069cfb
- updated to 1.1
- removed obsolete bool_cast,ffmpeg3 patches
- added boost patch

* Wed Apr 03 2019 Jan Rękorajski <baggins@pld-linux.org> 6c1ac24
- release 8 (by relup.sh)

